Bug 11155 - interface for default route must be enabled first or network unusable
interface for default route must be enabled first or network unusable
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Depends On:
  Show dependency treegraph
Reported: 2000-05-01 15:51 EDT by Eric Jorgensen
Modified: 2014-03-16 22:13 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-05-05 10:55:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Eric Jorgensen 2000-05-01 15:51:47 EDT
If the default route for the network is on, for example, eth1, after
booting up and bringing up network interfaces, ifconfig, route -n, etc
seem to show that the network is healthy but indeed it is not - ping, etc,
show that the network is unusable.

However, if the administrator manually enables the interface responsibile
for communication with the default route before other interfaces are
brought online, everything works.
Comment 1 Eric Jorgensen 2000-05-05 10:55:59 EDT
This was my mistake. Somehow, I'm still trying to figure out how, out of several
interfaces on eth0 one of them was in the same subnet as the default gateway,
which should have been out eth1. I'm scratching my head over this one because i
copied the ifcfg-eth* files from a working rh6.0 system that i was working on
rebuilding from the ground up. maybe someone else was screwing around with it
and thought they were on another system, you know how it is when you have eight
similar systems on the same KVM and multiple admins.

Might be nice if there were a sanity check in the initscripts that would check
for this kinda thing, but it's really my fault for not fully proofreading my
config files. Sorry.

Note You need to log in before you can comment on or make changes to this bug.